- Home
- API Enriched
- Marketplace
- config
- Replace external_connector configuration.
Replace external_connector configuration.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/external_connectors/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"ce_site_reference":{"name":"example","namespace":"example"},"ipsec":{"ike_parameters":{"dpd_disabled":{},"dpd_keep_alive_timer":{"timeout":1},"ike_phase1_profile":{"name":"example","namespace":"example"},"ike_phase2_profile":{"name":"example","namespace":"example"},"initiator":{},"responder":{},"rm_hostname":"example","rm_ip_address":{"ipv4":{"addr":"example"},"ipv6":{"addr":"example"}},"use_default_local_ike_id":{},"use_default_remote_ike_id":{}},"ipsec_tunnel_parameters":{"peer_ip_address":{"addr":"example"},"psk":"example","segment":{"refs":[{"name":"example","namespace":"example"}]},"site_local_inside_network":{},"site_local_network":{},"tunnel_eps":[{"interface":"example","local_tunnel_ip":"example","node":"example","remote_tunnel_ip":"example"}],"tunnel_mtu":1}},"gre":{"gre_parameters":{"peer_ip_address":{"addr":"example"},"segment":{"refs":[{"name":"example","namespace":"example"}]},"site_local_inside_network":{},"site_local_network":{},"tunnel_eps":[{"interface":"example","local_tunnel_ip":"example","node":"example","remote_tunnel_ip":"example"}],"tunnel_mtu":1}}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/external_connectors/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "ce_site_reference": { "name": "example", "namespace": "example" }, "ipsec": { "ike_parameters": { "dpd_disabled": {}, "dpd_keep_alive_timer": { "timeout": 1 }, "ike_phase1_profile": { "name": "example", "namespace": "example" }, "ike_phase2_profile": { "name": "example", "namespace": "example" }, "initiator": {}, "responder": {}, "rm_hostname": "example", "rm_ip_address": { "ipv4": { "addr": "example" }, "ipv6": { "addr": "example" } }, "use_default_local_ike_id": {}, "use_default_remote_ike_id": {} }, "ipsec_tunnel_parameters": { "peer_ip_address": { "addr": "example" }, "psk": "example", "segment": { "refs": [ { "name": "example", "namespace": "example" } ] }, "site_local_inside_network": {}, "site_local_network": {}, "tunnel_eps": [ { "interface": "example", "local_tunnel_ip": "example", "node": "example", "remote_tunnel_ip": "example" } ], "tunnel_mtu": 1 } }, "gre": { "gre_parameters": { "peer_ip_address": { "addr": "example" }, "segment": { "refs": [ { "name": "example", "namespace": "example" } ] }, "site_local_inside_network": {}, "site_local_network": {}, "tunnel_eps": [ { "interface": "example", "local_tunnel_ip": "example", "node": "example", "remote_tunnel_ip": "example" } ], "tunnel_mtu": 1 } } } }'Shape of the external_connector configuration specification.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
object
object
Operation timeout duration
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
object
Exclusive with [rm_ip_address use_default_remote_ike_id] Configure an hostname Remote IKE ID.
object
object
IPv4 Address in string form with dot-decimal notation.
object
IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’
object
object
object
object
IPv4 Address in string form with dot-decimal notation.
The IKE pre-shared key (PSK) is required to ensure the IKE peers can authenticate one another within IKE phase 1 negotiation.
Required: YES.
object
Reference to Segment Object
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
Configure tunnel parameters, local and remote IP addresses
Required: YES.
Configure tunnel endpoints, local and remote IP addresses.
object
For the chosen node, specify the interface that will be the tunnel source.
Required: YES.
For a particular tunnel on a node, specify the local tunnel IP Address i.e. The IP address of the tunnel on the CE node itself and a subnet prefix length Required: YES.
A CE site is composed of multiple nodes. Choose a node that will be part of this external connection.
Required: YES.
For a particular tunnel on a node, specify the remote tunnel IP Address i.e. The IP address of the tunnel on the remote gateway and a subnet prefix length Required: YES.
The tunnel MTU defines the maximum size of the packet that can be sent through the tunnel without needing to be fragmented
Required: YES.
object
object
object
IPv4 Address in string form with dot-decimal notation.
object
Reference to Segment Object
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
X-displayName: “Tunnel Endpoint” x-required Configure tunnel parameters, source, destination, IP addresses.
Configure tunnel endpoints, local and remote IP addresses.
object
For the chosen node, specify the interface that will be the tunnel source.
Required: YES.
For a particular tunnel on a node, specify the local tunnel IP Address i.e. The IP address of the tunnel on the CE node itself and a subnet prefix length Required: YES.
A CE site is composed of multiple nodes. Choose a node that will be part of this external connection.
Required: YES.
For a particular tunnel on a node, specify the remote tunnel IP Address i.e. The IP address of the tunnel on the remote gateway and a subnet prefix length Required: YES.
X-displayName: “Tunnel MTU” Configure MTU for the GRE tunnel interface.
Examplegenerated
{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "ce_site_reference": { "name": "example", "namespace": "example" }, "ipsec": { "ike_parameters": { "dpd_disabled": {}, "dpd_keep_alive_timer": { "timeout": 1 }, "ike_phase1_profile": { "name": "example", "namespace": "example" }, "ike_phase2_profile": { "name": "example", "namespace": "example" }, "initiator": {}, "responder": {}, "rm_hostname": "example", "rm_ip_address": { "ipv4": { "addr": "example" }, "ipv6": { "addr": "example" } }, "use_default_local_ike_id": {}, "use_default_remote_ike_id": {} }, "ipsec_tunnel_parameters": { "peer_ip_address": { "addr": "example" }, "psk": "example", "segment": { "refs": [ { "name": "example", "namespace": "example" } ] }, "site_local_inside_network": {}, "site_local_network": {}, "tunnel_eps": [ { "interface": "example", "local_tunnel_ip": "example", "node": "example", "remote_tunnel_ip": "example" } ], "tunnel_mtu": 1 } }, "gre": { "gre_parameters": { "peer_ip_address": { "addr": "example" }, "segment": { "refs": [ { "name": "example", "namespace": "example" } ] }, "site_local_inside_network": {}, "site_local_network": {}, "tunnel_eps": [ { "interface": "example", "local_tunnel_ip": "example", "node": "example", "remote_tunnel_ip": "example" } ], "tunnel_mtu": 1 } } }}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example